<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="item"
            type="com.vessel.app.common.model.Program" />

        <variable
            name="handler"
            type="com.vessel.app.programs.details.adapters.ProgramFooterAdapter.OnActionHandler" />
    </data>

<androidx.constraintlayout.widget.ConstraintLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/spacing_6xl">

    <com.vessel.app.views.GrayRoundedButtonGroup
        android:id="@+id/btnLeaveProgram"
        visible="@{item.enrolled}"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/spacing_2xl"
        android:layout_marginTop="@dimen/spacing_5xl"
        android:onClick="@{() -> handler.onLeaveProgramClicked(item)}"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/dislike"
        app:text="@{@string/leave_program}"
        tools:background="@color/grayBg" />

    <include
        layout="@layout/disclaimer_footer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/spacing_5xl"
        app:layout_constraintTop_toBottomOf="@id/btnLeaveProgram" />
</androidx.constraintlayout.widget.ConstraintLayout>
</layout>
